Skip to content

List media

View as Markdown
get /api/medias

Retrieves the collection of Media resources.

Returns a paginated collection of media in the current organization.

Query parameters

NameTypeRequiredDescription
pageinteger-The collection page number
itemsPerPageinteger-The number of items per page
properties[]string[]-Allows you to reduce the response to contain only the properties you need. If your desired property is nested, you can address it using nested arrays. Example: properties[]={propertyName}&properties[]={anotherPropertyName}&properties[{nestedPropertyParent}][]={nestedProperty}
id[]string[]-Only the items with one of these ids, each a UUID or the item IRI.
typestring-Media type
type[]string[]-Media type

Response

200 - Media collection

Content-Type: application/ld+json

PropertyTypeRequiredDescription
searchobject-
Show search fields
PropertyTypeRequiredDescription
@typestring-
mappingobject[]-
Show mapping fields
PropertyTypeRequiredDescription
@typestring-
propertystring | null-
requiredboolean-
variablestring-
templatestring-
variableRepresentationstring-
totalItemsinteger-
viewobject-
Show view fields
PropertyTypeRequiredDescription
@idstring-
@typestring-
firststring | null-
laststring | null-
nextstring | null-
previousstring | null-
memberMedia[]required
Show member fields
PropertyTypeRequiredDescription
@contextstring | object-
@idstringrequired
@typestringrequired
contentUrlstring | null-The URL to fetch the uploaded file.
createdAtstring | null-
dimensionsEmbeddedImageDimensionResource | null-Image dimensions (width and height in pixels). Only present for image files.
Show dimensions fields
PropertyTypeRequiredDescription
heightintegerrequiredImage height in pixels
widthintegerrequiredImage width in pixels
hashstring | null-SHA256 hash of the file
idstring-The resource's unique identifier (UUID).
mimeTypestring | null-MIME type of the file
type"image" | "video" | "file"-Media type based on MIME type (image, video, or file)
updatedAtstring | null-

Errors

403 - Access denied. The caller is missing one or more permissions required for this operation.

Content-Type: application/problem+json

PropertyTypeRequiredDescription
@contextstring | object-
@idstringrequired
@typestringrequired
detailstring-
missingPermissionsstring[]-Permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied permission.
statusinteger-
titlestring-
typestring-